(function() {
    var days = ['Dimanche','Lundi','Mardi','Mercredi','Jeudi','Vendredi','Samedi'];

    var months = ['Janvier','Février','Mars','Avril','Mai','Juin','Juillet','Août','Septembre','Octobre','Novembre','Décembre'];

    Date.prototype.getMonthName = function() {
        return months[ this.getMonth() ];
    };
    Date.prototype.getDayName = function() {
        return days[ this.getDay() ];
    };
})();

function pad(num, size) {
    var s = "000000000" + num;
    return s.substr(s.length-size);
}


var time = document.getElementById('time');
var date = document.getElementById('date');

function update() {
    var datetime = new Date();
    date.innerHTML = datetime.getDayName() + ' ' + datetime.getDate() + ' ' + datetime.getMonthName() + ' ' + datetime.getFullYear();
    time.innerHTML = pad(datetime.getHours(), 2) + ":"+ pad(datetime.getMinutes(), 2) + ":" + pad(datetime.getSeconds(), 2);
}
update();
setInterval(update, 1000);


// $("#home").click(function() {
//   chrome.tabs.update({url:"chrome-internal://newtab/"});
//   return false;
// });
